Page MenuHomePhabricator

Deploy Special:Investigate to Spanish, Swedish and Italian wikipedias
Closed, ResolvedPublic2 Estimated Story PointsSep 24 2020

Description

Goal

We want to rollout Special:Investigate to some more pilot wikis to gather feedback.

This task is to deploy to Italian, Spanish and Swedish wikipedia on September 14th.

  • Update: deployment to Italian and Swedish didn't go ahead, since GuidedTour translations were missing. Aiming now for Thursday 24th September.
  • eswiki
  • itwiki (awaiting GuidedTour translations)
  • svwiki (awaiting GuidedTour translations)
Acceptance criteria:
  • These three wikis will have Special:Investigate, available to all checkusers on the wikis
  • Special:Checkuser on these wikis will have a link to the new tool on the top (similar to frwiki)

Event Timeline

Niharika created this task.Sep 9 2020, 3:53 PM
Niharika moved this task from Untriaged to Cards ready to be discussed on the Anti-Harassment board.
Niharika updated the task description. (Show Details)Sep 9 2020, 4:14 PM
ARamirez_WMF set the point value for this task to 2.Sep 9 2020, 4:16 PM
Niharika triaged this task as Medium priority.Sep 9 2020, 4:43 PM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".Sep 9 2020, 8:41 PM
ARamirez_WMF set Due Date to Sep 22 2020, 4:00 AM.

Change 626715 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[operations/mediawiki-config@master] Enable Special:Investigate on itwiki, eswiki and svwiki

https://gerrit.wikimedia.org/r/626715

Change 626715 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Special:Investigate on itwiki, eswiki and svwiki

https://gerrit.wikimedia.org/r/626715

Change 627341 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[operations/mediawiki-config@master] Don't enable Special:Investigate on itwiki and svwiki

https://gerrit.wikimedia.org/r/627341

Change 627341 merged by jenkins-bot:
[operations/mediawiki-config@master] Don't enable Special:Investigate on itwiki and svwiki

https://gerrit.wikimedia.org/r/627341

Mentioned in SAL (#wikimedia-operations) [2020-09-14T18:57:28Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: a5d56edc7460ac43492f9c04cff86c1b03e56fa4: e2f47980c371b52b1b66957f2bff2266745ab00a: Enable Special:Investigate on eswiki (T262436) (duration: 00m 56s)

What do we want to do with this ticket?

Niharika added a comment.EditedSep 14 2020, 10:56 PM

What do we want to do with this ticket?

We'll keep it and deploy to Italian and Swedish next week when we get the translations. Hopefully.

Tchanders updated the task description. (Show Details)Sep 15 2020, 11:50 AM
Niharika added a subscriber: Johan.Sep 15 2020, 7:37 PM

Italian and Swedish translations are in. Thanks @Johan!

Tchanders updated the task description. (Show Details)Sep 18 2020, 12:22 PM
Niharika changed Due Date from Sep 22 2020, 4:00 AM to Sep 25 2020, 4:00 AM.Sep 21 2020, 6:09 PM
Niharika changed Due Date from Sep 25 2020, 4:00 AM to Sep 24 2020, 4:00 PM.

Mentioned in SAL (#wikimedia-operations) [2020-09-24T18:58:24Z] <tchanders@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:627481|Enable Special:Investigate on itwiki and svwiki (T262436)]] (duration: 01m 05s)

Niharika closed this task as Resolved.Sep 25 2020, 9:08 PM
Niharika updated the task description. (Show Details)